import 'dart:convert';
import 'package:flutter/material.dart';
import 'package:flutter_pluggy_connect/flutter_pluggy_connect.dart';

void main() {
  runApp(
    MaterialApp(
        home: Scaffold(
            appBar: AppBar(backgroundColor: Colors.black, toolbarHeight: 1),
            body: PluggyConnect(
                includeSandbox: true,
                onSuccess: (data) {
                  print('Success');
                  print(jsonEncode(data));
                },
                onClose: () {
                  print('Closed');
                },
                onError: (error) {
                  print('Error');
                  print(jsonEncode(error));
                },
                onOpen: () {
                  print('Opened');
                },
                onEvent: (payload) {
                  print('Event');
                  print(jsonEncode(payload));
                },
                connectToken: '<connect token>'))),
  );
}
